Chunked upload. Upload a chunk
| /dam/assets/bin/chunked/upload/{uploadTid} Upload a specified chunk of an asset. |
| Upload session must be started before a chunk upload. |
Resource path |
|
HTTP method |
POST |
Request content type |
multipart/form-data |
Response content type |
|
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
uploadTid |
The session identifier of the started chunked upload. |
X |
Form Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
chunkId |
Identity of an asset chunk which should be uploaded integer |
X |
Int32. Positive numbers starting from 0. |
|
payload |
Blob file |
X |
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
PimType with filled ResponsesType |
|
500 |
An unknown internal error occurred |
Samples
| Please use transform endpoint to get the JSON/compact-JSON samples from the XML one. |
Upload a chunk
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/bin/chunked/upload/9f9417cc-031b-4bf4-ae98-e1df1fc93fef' \
--header 'Authorization: Bearer <TOKEN>' \
--form 'payload=@"<PATH_TO_FILE>500x500.jpg"' \
--form 'chunkId="0";type=application/json'
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn">
<responses>
<response action="create" id="0" tid="c15af96a-4ce2-4d05-8965-e375c00daf1b">
<status>SUCCESS</status>
<description>Chunk has been uploaded</description>
</response>
</responses>
</pim>